Skip to content
Last updated

Update the access level of an existing access grant.

PATCHhttps://api.aitronos.com/v1/organizations/{organization_id}/access/grants/{grant_id}

Updates the access level of an existing grant. Only the access_level field can be modified.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

grant_id string required

The unique identifier of the access grant (format: agrant_*).

Request Body

access_level string required

The new access level. Allowed values: read, write, admin.


Returns

The updated access grant object.

cURL
curl -X PATCH https://api.aitronos.com/v1/organizations/org_xyz789/access/grants/agrant_abc123def456 \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "access_level": "write"
  }'